Subject: [PATCH] install meson for Documentation job

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Mar 2025 08:57:55 -0700

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>> On Fri, Mar 14, 2025 at 10:36:39AM -0700, Junio C Hamano wrote:
>>
>>> * ps/ci-meson-check-build-docs (2025-03-12) 1 commit
>>>  - ci: perform build and smoke tests for Meson docs
>>> 
>>>  CI update.
>>> 
>>>  Will merge to 'next'.
>>>  source: <[email-masked]>
>>
>> I didn't dig into it, but I'd imagine this topic is the source of CI
>> failures on the "documentation" job like this:
>>
>>   2025-03-14T17:50:13.8749066Z + meson setup build-asciidoc -Ddocs=html,man -Ddocs_backend=asciidoc
>>   2025-03-14T17:50:13.8752287Z ci/test-documentation.sh: line 50: meson: command not found
>>   2025-03-14T17:50:13.8769502Z ##[error]Process completed with exit code 127.
>>
>> that I'm seeing in jch (and looks like you have a similar one in the
>> latest build of 'seen')
>>
>> -Peff
>
> Somebody more clueful than me about how the CI dependency set-up is
> supposed to happen should rewrite the proposed log message
> altogether.  The install-dependencies script pretends as if two
> case..esac blocks are orthogonal (the former switches on $distro,
> the latter that we see in the patch switches on $jobname), but I
> somehow do not get the feeling that we can move Documentation job
> from ubuntu-latest to alpine-latest for example.

Ping?  Anybody wants to help explain how this part of CI works to
the commit log message?

> In any case, the change seems to "fix" the issue for me
>
> (bad)
> https://github.com/git/git/actions/runs/13867157977/job/38808418127
>
> (good)
> https://github.com/git/git/actions/runs/13867208725/job/38808554478
>
>
> Thanks.
>
> --- >8 ---
> Subject: [PATCH] install meson for Documentation job
>
> Why should we even do this?  Doesn't it run on ubuntu-latest which
> has its own apt--get install for meson in the $distro specific
> set-up before this part?
>
>
> ---
>  ci/install-dependencies.sh | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/ci/install-dependencies.sh b/ci/install-dependencies.sh
> index 0df74610d0..fdeeaabaca 100755
> --- a/ci/install-dependencies.sh
> +++ b/ci/install-dependencies.sh
> @@ -123,7 +123,7 @@ sparse)
>  	;;
>  Documentation)
>  	sudo apt-get -q update
> -	sudo apt-get -q -y install asciidoc xmlto docbook-xsl-ns make
> +	sudo apt-get -q -y install asciidoc xmlto docbook-xsl-ns make meson
>  
>  	test -n "$ALREADY_HAVE_ASCIIDOCTOR" ||
>  	sudo gem install --version 1.5.8 asciidoctor